sql server 2005不能附加数据库问题 100CSDN]

发布时间:2017-1-20 1:02:37 编辑:www.fx114.net 分享查询网我要评论
本篇文章主要介绍了"sql server 2005不能附加数据库问题 100CSDN]",主要涉及到sql server 2005不能附加数据库问题 100CSDN]方面的内容,对于sql server 2005不能附加数据库问题 100CSDN]感兴趣的同学可以参考一下。

我附加的数据库是<<SQL Server 2000/2005 数据库开发实例入门与提高>>书附光盘中的 (电子工业出版社)下面是出错信息 附加数据库 对于 服务器“SJL”失败。  (Microsoft.SqlServer.Smo) 有关帮助信息,请单击: http://go.microsoft.com/fwlink?ProdName=Microsoft+SQL+Server&ProdVer=9.00.1399.00&EvtSrc=Microsoft.SqlServer.Management.Smo.ExceptionTemplates.FailedOperationExceptionText&EvtID=附加数据库+Server&LinkId=20476 执行 Transact-SQL 语句或批处理时发生了异常。 (Microsoft.SqlServer.ConnectionInfo) ------------------------------ 无法升级数据库 'EAMS',因为此版本的 SQL Server 不支持该数据库的非发布版本(587)。不能打开与此版本的 sqlservr.exe 不兼容的数据库。必须重新创建该数据库。 无法打开新数据库 'EAMS'。CREATE DATABASE 中止。 (Microsoft SQL Server,错误: 950) 有关帮助信息,请单击: http://go.microsoft.com/fwlink?ProdName=Microsoft+SQL+Server&EvtSrc=MSSQLServer&EvtID=950&LinkId=20476 有什么办法解决吗 清高首赐教,谢谢

该回复被版主删除

补充一点 盘中的数据库是在sql2005中建的,网上看到补丁包解决了这个问题,可是安装了也没解决为题。是什么原因呢?急!

新建DB,分离,是每个数据库附加都出错,还是只是这一个出错。

版本问题. 找出版社, 或者看看书上有没有写明他的sql版本 错误提示: 该数据库的非发布版本(587), 这个版本不知道是否是beta版 我的电脑上装的sp1后的数据库版本显示为 611

回复WANGTIECHENG  就是所附光盘中的数据库附加出错

那只能是版本的问题。

你再看看在别的机器上分离来的数据库,如果可以附加,那就说明是出版社的书的问题!

谢谢各位的回复和关注,我在书的界面上看到数据库的环境是 sql server 9.0.852 字样,经查是 sql server 2005 express ctp版 得确是版本问题,不能补救吗?微软为什么限制呢?

上一篇:可以把SQL2005的数据库转换为SQL2000的数据库吗 20hagain]
下一篇:请高手指点 20CSDN]

相关文章

相关评论